commit:     765d661013551b68edeb012fa6fd1fd8ce64faee
Author:     Marco Leise <marco.leise <AT> gmx <DOT> de>
AuthorDate: Sat Dec 21 18:04:26 2019 +0000
Commit:     Marco Leise <marco.leise <AT> gmx <DOT> de>
CommitDate: Sat Dec 21 18:14:41 2019 +0000
URL:        https://gitweb.gentoo.org/repo/user/dlang.git/commit/?id=765d6610

dfmt-0.11.0

Signed-off-by: Marco Leise <marco.leise <AT> gmx.de>

 dev-util/dfmt/Manifest           |  2 ++
 dev-util/dfmt/dfmt-0.11.0.ebuild | 58 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/dev-util/dfmt/Manifest b/dev-util/dfmt/Manifest
index c992de4..1042746 100644
--- a/dev-util/dfmt/Manifest
+++ b/dev-util/dfmt/Manifest
@@ -1,3 +1,5 @@
 DIST dfmt-0.10.1.tar.gz 85212 BLAKE2B 
f37bead92ef35beb404461093faaa495b88f59b53f07ae9c5e6b529d7998ad6cd662e5ff8f9d62405a1df61569612482c26de5065b1351bb1a8e0f5ecfde9b73
 SHA512 
9304051e2892696f35a596642b09fe8f177f1a02a9b1d7f56388f6f04d21ab015286aa8e1357fe9ea69a4b6c48572b204958a4811cff4507eef41ce68aa3d664
+DIST dfmt-0.11.0.tar.gz 86434 BLAKE2B 
36070e8b35381cc72fc8a9373202d078e36dfa7bf0a2d7dd0a0d425d3f7b3432d2458f4d5705d3fafb14f48d866b34ea874cb1d458d6976bf895a7e66683a153
 SHA512 
20a3e5f03d583a4fa99589fc31904f18b5d099a3307b1a229aff38d803ac05b659c92759b4aa137a54b08e9d92607f23286db164a08e314f6c3ebb6df6b9bfe6
 DIST libdparse-aae371931a99027465952cd6fdaede4eb4743e76.tar.gz 122507 BLAKE2B 
ae0b500875fad7929ac5450303fe8fd1064299fb2bfd3378fd97f41aa3ca4a3d0a3c4df3be66985489a31fa56d613c031621f630b16668f7747bd8fb198c11bd
 SHA512 
2aa54664bcaf8a974a00559354fb0115b8cc98b6cb299644b48086c70fa28ae12c90c573f030e2028ff33db7f8bb654813a8c7d1ec5078f1980a5b29ef35dda0
+DIST libdparse-f512cb0b4bc11ce64eb64a710163495e425a7ad8.tar.gz 123592 BLAKE2B 
e463014fca952cec3cd0cfb8014f62b3749e73e12761791c23a535c5a8e467e343cfbdc48cb648baef7d4090bee7cd4db9c9406f3dad7bc0628a6eb6d008a135
 SHA512 
248db7c9a6a3b05c18bbed925f6219143229de50bffd7172b75003322049054b820260fc49348742172740b01324ace2f01cd7980a91ed0975d350d615747749
 DIST stdx-allocator-ae237cabd1843774cc78aad0729c914a3dd579db.tar.gz 103650 
BLAKE2B 
8d03c2dc76194b18da92261c533c402b87bda1964662070d02ceacbab3dda91a834c0c8bfe45feb1d9a3d7669f96a2a1f7b9a6b7eff7ea53069480d8de8fe15e
 SHA512 
893e5ecefac86a64b3a91f034cc9f42aabc264d111b40accf890b505ec9d077fcaac0b29fc202400448994e4ff021263beef7716798734cb9b71b6aad1aaf394

diff --git a/dev-util/dfmt/dfmt-0.11.0.ebuild b/dev-util/dfmt/dfmt-0.11.0.ebuild
new file mode 100644
index 0000000..d6f063e
--- /dev/null
+++ b/dev-util/dfmt/dfmt-0.11.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="Dfmt is a formatter for D source code"
+HOMEPAGE="https://github.com/dlang-community/dfmt";
+LICENSE="Boost-1.0"
+
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+LIBDPARSE="f512cb0b4bc11ce64eb64a710163495e425a7ad8"
+ALLOCATOR="ae237cabd1843774cc78aad0729c914a3dd579db"
+SRC_URI="
+       https://github.com/dlang-community/dfmt/archive/v${PV}.tar.gz -> 
${PN}-${PV}.tar.gz
+       
https://github.com/dlang-community/libdparse/archive/${LIBDPARSE}.tar.gz -> 
libdparse-${LIBDPARSE}.tar.gz
+       
https://github.com/dlang-community/stdx-allocator/archive/${ALLOCATOR}.tar.gz 
-> stdx-allocator-${ALLOCATOR}.tar.gz
+       "
+
+DLANG_VERSION_RANGE="2.075-"
+DLANG_PACKAGE_TYPE="single"
+
+inherit dlang bash-completion-r1
+
+src_prepare() {
+       mkdir bin || die "Failed to create 'bin' directory."
+       cat > bin/githash.txt << EOF
+v${PV}
+EOF
+       dlang_src_prepare
+}
+
+d_src_compile() {
+       local libdparse_src="../libdparse-${LIBDPARSE}/src"
+       local allocator_src="../stdx-allocator-${ALLOCATOR}/source"
+       local imports="src ${libdparse_src} ${allocator_src}"
+       local string_imports="bin"
+
+       dlang_compile_bin "bin/dfmt" "src/dfmt/main.d" "src/dfmt/config.d" 
"src/dfmt/editorconfig.d" \
+               "src/dfmt/ast_info.d" "src/dfmt/indentation.d" 
"src/dfmt/tokens.d" "src/dfmt/wrapping.d" \
+               "src/dfmt/formatter.d" "src/dfmt/globmatch_editorconfig.d" \
+               ${libdparse_src}/dparse/lexer.d 
${libdparse_src}/dparse/parser.d ${libdparse_src}/dparse/ast.d \
+               ${libdparse_src}/dparse/rollback_allocator.d 
${libdparse_src}/dparse/stack_buffer.d \
+               ${libdparse_src}/std/experimental/lexer.d \
+               ${allocator_src}/stdx/allocator/common.d 
${allocator_src}/stdx/allocator/internal.d \
+               ${allocator_src}/stdx/allocator/mallocator.d 
${allocator_src}/stdx/allocator/package.d \
+               ${allocator_src}/stdx/allocator/gc_allocator.d 
${allocator_src}/stdx/allocator/typed.d
+}
+
+d_src_test() {
+       cd tests && ./test.sh
+}
+
+d_src_install() {
+       dobin bin/dfmt
+       dodoc README.md LICENSE.txt
+       dobashcomp bash-completion/completions/dfmt
+}

Reply via email to